Subject: 24.0.50; defcustom :set does not apply to `set-variable'

From: "Drew Adams" <[email-masked]>
Date: Tue, 6 Jul 2010 21:52:59 -0700

[Tried to send this earlier, but there was a mail delivery problem, for some
reason.  Trying again.]

----

If you use a :set entry for defcustom, it is not respected by
`set-variable'.  It should be.  When a user uses `M-x set-variable' s?he
should get the effect of :set.  Otherwise, the defcustom is not serving
its purpose.  defcustom is not only for Customize - it needs to work
with `set-variable' also.  And it does, for :type; but it does not, for
:set.

In GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600)
 of 2010-06-28 on 3249CTO
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.4) --no-opt --cflags -Ic:/xpm/include'